Pular para o conteúdo principal
Routal
API ReferencePlan

Optimize a plan

You can optimize your plan.

POST
/v2/plan/{id}/optimize/async

You can optimize your plan. All routes will be recomputed and the stops may change from one route to another. The response will be returned immediately and the optimization will be processed asynchronously. You can set a webhook to receive the results.

private_key<token>

The Routal API authenticates requests with an API key passed as the private_key query string parameter. Generate and rotate your keys from the Developer Settings section of your Routal workspace.

Never ship API keys to a browser or mobile app — they must stay server-side.

In: query

Path Parameters

id*string

Plan ID

Match^[0-9a-f]{24}

Query Parameters

keep_current_assignment?boolean

If true, the current assignment will not be changed.

Defaultfalse

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/plan/string/optimize/async"
"string"
{
  "message": "Domain not found",
  "message_id": "highway.domain.error.not_found"
}
Empty